org.apache.felix.scrplugin.description

## Class ServiceDescription

- java.lang.Object
- - org.apache.felix.scrplugin.description.AbstractDescription
  - - org.apache.felix.scrplugin.description.ServiceDescription

    public class ServiceDescription
    extends AbstractDescription

If a component is a service, the `ClassDescription` should contain a `ServiceDescription`. The service description defines whether this is a service factory and which interfaces this service implements.

### Field Summary

Fields
`protected Set<String>` `interfaces` The list of implemented interfaces.

### Fields inherited from class org.apache.felix.scrplugin.description.AbstractDescription

`annotation`

### Constructor Summary

Constructors
Constructor and Description
`ServiceDescription(ScannedAnnotation annotation)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addInterface(String interf)` Add an interface to the list of interfaces.
`AbstractDescription` `clone()`
`Set<String>` `getInterfaces()`
`boolean` `isServiceFactory()`
`void` `setServiceFactory(boolean flag)`
`String` `toString()`

### Methods inherited from class org.apache.felix.scrplugin.description.AbstractDescription

`getAnnotation, getIdentifier, getSource, setSource`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### interfaces

    protected final Set<String> interfaces

The list of implemented interfaces.

### Constructor Detail

#### ServiceDescription

    public ServiceDescription(ScannedAnnotation annotation)

### Method Detail

#### isServiceFactory

    public boolean isServiceFactory()

#### setServiceFactory

    public void setServiceFactory(boolean flag)

#### getInterfaces

    public Set<String> getInterfaces()

#### addInterface

    public void addInterface(String interf)

Add an interface to the list of interfaces.

Parameters:
  `interf` - The interface.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### clone

    public AbstractDescription clone()

Specified by:
  `clone` in class `AbstractDescription`